<!--
Copyright (c) 2006-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved
-->

<%@ include file="sessionCheck.jsp" %>
<%@ page errorPage="errorPage.jsp"%>
<%@ taglib uri="http://www.sas.com/taglib/sas" prefix="sas"%>
<%@page
	import="java.io.*,com.sas.email.aol.*,java.util.*,com.sas.email.rmi.*,com.sas.email.webapps.*"%>
<%@page contentType="text/html;charset=UTF-8"%>
<%
request.setCharacterEncoding("UTF-8");
%>
<%
	String server = (String) request.getParameter("server");
	String user = (String) request.getParameter("user");
	String password = (String) request.getParameter("password");
	String redir = (String) request.getParameter("redir");
	String moniker = (String) request.getParameter("moniker");
	String part = (String) request.getParameter("part");

	String debug = (String) request.getParameter("debug");
	String message = "";
	String err = "";

//	StringBuffer url = null;
//	String uri = null;
//	String path = "";
	String exString = "";
//	int count = 0;
	Vector broadcastVals = new Vector();
	String val = "";
	BulkEmailBroadcast b = null;

	if ((part == null) || (part.equalsIgnoreCase("null")))
		part = "html";

	try {
		BulkEmailServer besIface = BulkEmailClientConnectionFactory
		.getServerConnection(server, user, password, false);

		b = besIface.getBroadcast(moniker);

		Vector broadcastVars = b.getBroadcastVariables();

		if ((broadcastVars != null) && (broadcastVars.size() > 0)) {
			for (int i = 0; i < broadcastVars.size(); i++) {
		val = (String) request
				.getParameter((String) broadcastVars.get(i));
		if (val != null) {
			val = val.trim();
			broadcastVals.add(val);
		} else {
			exString = broadcastVars.get(i).toString();
			broadcastVals.add("");
		}
			}
		}

		String previewHtml = null;

		for (int i = 0; i < 10 && previewHtml == null; i++) {
//			count = i + 1;
			try {
		previewHtml = BroadcastUtil.quickPreview(besIface,
				moniker, broadcastVars, broadcastVals, false,
				part);
			} catch (Exception e) {
		e.printStackTrace();
		exString = e.getMessage();
		StringWriter swriter = new StringWriter();
		PrintWriter pwriter = new PrintWriter(swriter);
		e.printStackTrace(pwriter);
		pwriter.close();
		swriter.close();
		exString = swriter.getBuffer().toString();
			}
		}

		if (previewHtml == null)
			previewHtml = exString;

		besIface.close();
		if (debug.equalsIgnoreCase("true")) {
%>
<html>
<body>
<h2>Delete</h2>
<br>
<h4>Variables passed in</h4>
<br>
Moniker:
<%=moniker%>
<br>
Server:
<%=server%>
<br>
User:
<%=user%>
<br>
Password:
<%=password%>
<br>
Redir:
<%=redir%>
<br>
Broadcast Variables and Values:
<%
		if ((broadcastVars != null) && (broadcastVars.size() > 0)) {
		for (int i = 0; i < broadcastVars.size(); i++) {
%>
<br>
<%=(String) broadcastVars.get(i)%>
= "
<%=com.sas.email.server.BulkEmailUtils
											.escape((String) broadcastVals
													.get(i))%>
"
<%
			}
			}
%>
<br>
<h4>Debug info</h4>
Message:
<%=message%>
<br>
Err: (
<%=err%>
)

<%
			} else {
			if (part.equalsIgnoreCase("text")) {
	    StringBuilder bf = new StringBuilder(previewHtml);
		AolContentTidyLinkEditor.fixupLinks(bf);
		previewHtml = bf.toString().trim();
%>
<pre>
<%
}
%>
<%=previewHtml%>
<%
	}
	} catch (Exception e) {
		StringWriter swriter = new StringWriter();
		PrintWriter pwriter = new PrintWriter(swriter);
		e.printStackTrace(pwriter);
		pwriter.close();
		swriter.close();
		exString = swriter.getBuffer().toString();
	}
%>

</pre>